For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgents

Duplicate agent

POST
/v1/convai/agents/:agent_id/duplicate
POST
/v1/convai/agents/:agent_id/duplicate
$curl -X POST https://api.elevenlabs.io/v1/convai/agents/agent_id/duplicate \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "agent_id": "J3Pbu5gP6NNKBscdCdwB"
3}
Create a new agent by duplicating an existing one
Was this page helpful?
Previous

Get link

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestring or nullOptional
A name to make the agent easier to find

Response

Successful Response
agent_idstring
ID of the created agent

Errors

422
Unprocessable Entity Error